summaryrefslogtreecommitdiff
path: root/jenkins
diff options
context:
space:
mode:
authorTCWG BuildSlave <tcwg-buildslave@linaro.org>2023-10-14 06:14:33 +0000
committerTCWG BuildSlave <tcwg-buildslave@linaro.org>2023-10-14 06:14:33 +0000
commitb896474c07b7bbd8ff49e28bad364ce2aec2bdef (patch)
treeeef0ca1124e49cab674285be626b2d1f70e6344a /jenkins
parentd2d856be8ec302529cedf7f563fc226af3fbac41 (diff)
onsuccess: #303: 1: [TCWG CI] https://ci.linaro.org/job/tcwg_gnu_woa_build--master-woa64-build/303/
Results : | # reset_artifacts: | -10 | # true: | 0 | # build_abe binutils: | 1 check_regression status : 0
Diffstat (limited to 'jenkins')
-rw-r--r--jenkins/build-name2
-rw-r--r--jenkins/notify-full.log175
-rw-r--r--jenkins/notify-init.log72
-rw-r--r--jenkins/rewrite.log25
-rw-r--r--jenkins/run-build.env6
5 files changed, 115 insertions, 165 deletions
diff --git a/jenkins/build-name b/jenkins/build-name
index 3e3e280..a674c28 100644
--- a/jenkins/build-name
+++ b/jenkins/build-name
@@ -1 +1 @@
-#302-binutils-R1
+#303-binutils-R1
diff --git a/jenkins/notify-full.log b/jenkins/notify-full.log
index 0a740e2..eee9840 100644
--- a/jenkins/notify-full.log
+++ b/jenkins/notify-full.log
@@ -1,25 +1,25 @@
++ pwd
++ cat
-+ remote_exec build-08.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p49352: ./jenkins-scripts/round-robin-notify.sh '@@rr[top_artifacts]' artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true
++ remote_exec build-08.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p49367: ./jenkins-scripts/round-robin-notify.sh '@@rr[top_artifacts]' artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true
+ set -euf -o pipefail
+ local host
-++ echo build-08.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p49352:
+++ echo build-08.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p49367:
++ cut -d: -f 1
+ host=build-08.tcwglab
+ local port
-++ echo build-08.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p49352:
+++ echo build-08.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p49367:
++ cut -s -d: -f 2
+ port=
+ local dir
-++ echo build-08.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p49352:
+++ echo build-08.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p49367:
++ cut -s -d: -f 3
-+ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_0
++ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_1
+ local opts
-++ echo build-08.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p49352:
+++ echo build-08.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p49367:
++ cut -s -d: -f 4
-+ opts=-p49352
++ opts=-p49367
+ local env_vars
-++ echo build-08.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p49352:
+++ echo build-08.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p49367:
++ cut -s -d: -f 5
+ env_vars=
+ shift
@@ -52,10 +52,10 @@
+ for i in "$@"
+ cmd+=("$(printf '%q' "$i")")
++ printf %q true
-++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_0
-+ ssh -p49352 build-08.tcwglab 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_0 && exec ./jenkins-scripts/round-robin-notify.sh @@rr\[top_artifacts\] artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true'
+++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_1
++ ssh -p49367 build-08.tcwglab 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_1 && exec ./jenkins-scripts/round-robin-notify.sh @@rr\[top_artifacts\] artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true'
-/home/tcwg-buildslave/workspace/tcwg_gnu_0/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true
+/home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true
+ false
+ dryrun=
@@ -81,17 +81,17 @@
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_gnu_woa_build--master-woa64-build/301/
+# Baseline : https://ci.linaro.org/job/tcwg_gnu_woa_build--master-woa64-build/302/
# Using dir : base-artifacts
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_gnu_woa_build--master-woa64-build/301/'
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_gnu_woa_build--master-woa64-build/302/'
+ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_gnu_woa_build--master-woa64-build/302/
+# Artifacts : https://ci.linaro.org/job/tcwg_gnu_woa_build--master-woa64-build/303/
# Using dir : artifacts
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_gnu_woa_build--master-woa64-build/302/'
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_gnu_woa_build--master-woa64-build/303/'
+ echo '# Using dir : artifacts'
+ echo ''
+ mkdir -p artifacts/notify
@@ -131,7 +131,7 @@
+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/binutils_rev
-++ '[' xfe0f44a0caf59db09ad4bc16a46926aba96ce60d '!=' xc58d51c612cdfd8914cefab80c350e1aa9ea3ed4 ']'
+++ '[' xcd60a3956da29350d2e79bd6458d5cd77a4a18d0 '!=' xfe0f44a0caf59db09ad4bc16a46926aba96ce60d ']'
++ echo -ne binutils
++ delim=' '
++ echo
@@ -144,17 +144,17 @@
++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/binutils_rev
-+ first_bad=fe0f44a0caf59db09ad4bc16a46926aba96ce60d
++ first_bad=cd60a3956da29350d2e79bd6458d5cd77a4a18d0
++ get_baseline_git binutils_rev
++ set -euf -o pipefail
++ local base_artifacts=base-artifacts
++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/binutils_rev
-+ last_good=c58d51c612cdfd8914cefab80c350e1aa9ea3ed4
++ last_good=fe0f44a0caf59db09ad4bc16a46926aba96ce60d
+ local res
+ res=0
-+ wait 43515
++ wait 43486
+ git -C binutils rev-parse --verify HEAD
+ assert_with_msg 'Cannot parse HEAD in repo binutils' '[' 0 = 0 ']'
+ set -euf -o pipefail +x
@@ -168,19 +168,19 @@
++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/binutils_rev
-+ base_rev=c58d51c612cdfd8914cefab80c350e1aa9ea3ed4
++ base_rev=fe0f44a0caf59db09ad4bc16a46926aba96ce60d
++ get_current_git binutils_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/binutils_rev
-+ cur_rev=fe0f44a0caf59db09ad4bc16a46926aba96ce60d
-++ git -C binutils rev-parse 'fe0f44a0caf59db09ad4bc16a46926aba96ce60d^@'
-+ for sha1 in $(git -C "$c" rev-parse "$cur_rev^@")
-+ '[' aa1e22eb8d685d456469f3da7933f9215b4d79ef = c58d51c612cdfd8914cefab80c350e1aa9ea3ed4 ']'
-+ return 1
++ cur_rev=cd60a3956da29350d2e79bd6458d5cd77a4a18d0
+++ git -C binutils rev-parse 'cd60a3956da29350d2e79bd6458d5cd77a4a18d0^@'
# Debug traces :
# change_kind=single_component : binutils
++ for sha1 in $(git -C "$c" rev-parse "$cur_rev^@")
++ '[' 68a2d9bf874643da970fe945a9c60c397f6882ad = fe0f44a0caf59db09ad4bc16a46926aba96ce60d ']'
++ return 1
+ change_kind=single_component
+ echo '# Debug traces :'
+ echo '# change_kind=single_component : binutils'
@@ -191,19 +191,19 @@
++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/binutils_rev
-+ base_rev=c58d51c612cdfd8914cefab80c350e1aa9ea3ed4
++ base_rev=fe0f44a0caf59db09ad4bc16a46926aba96ce60d
++ get_current_git binutils_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/binutils_rev
-+ cur_rev=fe0f44a0caf59db09ad4bc16a46926aba96ce60d
-++ git -C binutils rev-list --count c58d51c612cdfd8914cefab80c350e1aa9ea3ed4..fe0f44a0caf59db09ad4bc16a46926aba96ce60d
-# rev for binutils : c58d51c612cdfd8914cefab80c350e1aa9ea3ed4..fe0f44a0caf59db09ad4bc16a46926aba96ce60d (25 commits)
++ cur_rev=cd60a3956da29350d2e79bd6458d5cd77a4a18d0
+++ git -C binutils rev-list --count fe0f44a0caf59db09ad4bc16a46926aba96ce60d..cd60a3956da29350d2e79bd6458d5cd77a4a18d0
+# rev for binutils : fe0f44a0caf59db09ad4bc16a46926aba96ce60d..cd60a3956da29350d2e79bd6458d5cd77a4a18d0 (15 commits)
-# generate_extra_details
-+ c_commits=25
-+ echo '# rev for binutils : c58d51c612cdfd8914cefab80c350e1aa9ea3ed4..fe0f44a0caf59db09ad4bc16a46926aba96ce60d (25 commits)'
+# post_interesting_commits
++ c_commits=15
++ echo '# rev for binutils : fe0f44a0caf59db09ad4bc16a46926aba96ce60d..cd60a3956da29350d2e79bd6458d5cd77a4a18d0 (15 commits)'
+ echo ''
+ setup_stages_to_run
+ '[' ignore = onregression ']'
@@ -220,19 +220,21 @@
+ print_result_f=print_result
+ print_config_f=print_config
+ print_last_icommit_f=print_last_icommit
++ generate_extra_details_f=generate_extra_details
+ case "$ci_project" in
+ print_result_f=gnu_print_result
-+ generate_extra_details
-+ set -euf -o pipefail
-+ echo '# generate_extra_details'
++ generate_extra_details_f=gnu_generate_extra_details
+ post_interesting_commits init
-# post_interesting_commits
+ set -euf -o pipefail
+ echo '# post_interesting_commits'
+ local stage=init
+ '[' single_component '!=' single_commit ']'
+ return
+ '[' full '!=' full ']'
++ gnu_generate_extra_details
++ set -euf -o pipefail
++ '[' -d artifacts/sumfiles ']'
++ return 0
+ check_if_first_report
+ declare -g first_icommit_to_report
+ first_icommit_to_report=false
@@ -255,7 +257,7 @@
+ local -A no_emails
+ case "$ci_project/$ci_config:$changed_single_component" in
+ no_emails["gcc-regression@gcc.gnu.org"]=cc
-+ local c email
++ local c email base_rev cur_rev
+ for c in "${changed_components[@]}"
++ get_baseline_git binutils_rev
++ set -euf -o pipefail
@@ -263,35 +265,15 @@
++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/binutils_rev
-+ base_rev=c58d51c612cdfd8914cefab80c350e1aa9ea3ed4
++ base_rev=fe0f44a0caf59db09ad4bc16a46926aba96ce60d
++ get_current_git binutils_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/binutils_rev
-+ cur_rev=fe0f44a0caf59db09ad4bc16a46926aba96ce60d
-+ read -r email
-++ git -C binutils log --pretty=%ae c58d51c612cdfd8914cefab80c350e1aa9ea3ed4..fe0f44a0caf59db09ad4bc16a46926aba96ce60d
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
++ cur_rev=cd60a3956da29350d2e79bd6458d5cd77a4a18d0
+ read -r email
+++ git -C binutils log --pretty=%ae fe0f44a0caf59db09ad4bc16a46926aba96ce60d..cd60a3956da29350d2e79bd6458d5cd77a4a18d0
+ no_emails["$email"]=cc
+ read -r email
+ no_emails["$email"]=cc
@@ -329,35 +311,15 @@
++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/binutils_rev
-+ base_rev=c58d51c612cdfd8914cefab80c350e1aa9ea3ed4
++ base_rev=fe0f44a0caf59db09ad4bc16a46926aba96ce60d
++ get_current_git binutils_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/binutils_rev
-+ cur_rev=fe0f44a0caf59db09ad4bc16a46926aba96ce60d
-+ read -r email
-++ git -C binutils log --pretty=%ce c58d51c612cdfd8914cefab80c350e1aa9ea3ed4..fe0f44a0caf59db09ad4bc16a46926aba96ce60d
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
++ cur_rev=cd60a3956da29350d2e79bd6458d5cd77a4a18d0
+ read -r email
+++ git -C binutils log --pretty=%ce fe0f44a0caf59db09ad4bc16a46926aba96ce60d..cd60a3956da29350d2e79bd6458d5cd77a4a18d0
+ no_emails["$email"]=to
+ read -r email
+ no_emails["$email"]=to
@@ -446,11 +408,11 @@
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ bad_artifacts_url=https://ci.linaro.org/job/tcwg_gnu_woa_build--master-woa64-build/302/artifact/artifacts
++ bad_artifacts_url=https://ci.linaro.org/job/tcwg_gnu_woa_build--master-woa64-build/303/artifact/artifacts
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-+ good_artifacts_url=https://ci.linaro.org/job/tcwg_gnu_woa_build--master-woa64-build/301/artifact/artifacts
++ good_artifacts_url=https://ci.linaro.org/job/tcwg_gnu_woa_build--master-woa64-build/302/artifact/artifacts
+ cat
++ print_commits --short
++ sed -e 's/^/ | /'
@@ -469,27 +431,22 @@
+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/binutils_rev
-++ base_rev=c58d51c612cdfd8914cefab80c350e1aa9ea3ed4
+++ base_rev=fe0f44a0caf59db09ad4bc16a46926aba96ce60d
+++ get_current_git binutils_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/binutils_rev
-++ cur_rev=fe0f44a0caf59db09ad4bc16a46926aba96ce60d
-+++ git -C binutils rev-list --count c58d51c612cdfd8914cefab80c350e1aa9ea3ed4..fe0f44a0caf59db09ad4bc16a46926aba96ce60d
-++ c_commits=25
-++ new_commits=25
+++ cur_rev=cd60a3956da29350d2e79bd6458d5cd77a4a18d0
++++ git -C binutils rev-list --count fe0f44a0caf59db09ad4bc16a46926aba96ce60d..cd60a3956da29350d2e79bd6458d5cd77a4a18d0
+++ c_commits=15
+++ new_commits=15
++ echo 'binutils commits:'
++ '[' '' '!=' '' ']'
-+++ git -C binutils log --pretty=oneline c58d51c612cdfd8914cefab80c350e1aa9ea3ed4..fe0f44a0caf59db09ad4bc16a46926aba96ce60d
-+++ head -n5
-++ echo 'fe0f44a0caf59db09ad4bc16a46926aba96ce60d RISC-V: Make XVentanaCondOps RV64 only
-aa1e22eb8d685d456469f3da7933f9215b4d79ef objdump: Free sorted_syms on error path
-02838630379cf76554a53be182bd9ad05a5a2a4d binutils/dwarf.c abbrev list leak
-a422bb9db1a432f6094a186e243717512d50eec9 Re: readelf/objdump: Handle DWARF info with mixed types of range section
-0637da3c7325b28a2c05f016d7f290513b1cd19b Automatic date update in version.in'
-++ '[' 25 -gt 5 ']'
-++ echo '... and 20 more'
+++ git -C binutils log -n 5 --oneline fe0f44a0caf59db09ad4bc16a46926aba96ce60d..cd60a3956da29350d2e79bd6458d5cd77a4a18d0
+++ '[' 15 -gt 5 ']'
+++ echo '... and 10 more'
+++ '[' '' '!=' '' ']'
++ gnu_print_result --short
++ false
++ local print_arg=--short
@@ -518,7 +475,7 @@ a422bb9db1a432f6094a186e243717512d50eec9 Re: readelf/objdump: Handle DWARF info
++ return 0
++ print_config
++ :
-+ '[' xsingle_component '!=' xsingle_commit ']'
++ '[' single_component '!=' single_commit ']'
+ return
+ print_mail_subject
+ true
@@ -549,29 +506,29 @@ a422bb9db1a432f6094a186e243717512d50eec9 Re: readelf/objdump: Handle DWARF info
+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/binutils_rev
-++ base_rev=c58d51c612cdfd8914cefab80c350e1aa9ea3ed4
+++ base_rev=fe0f44a0caf59db09ad4bc16a46926aba96ce60d
+++ get_current_git binutils_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/binutils_rev
-++ cur_rev=fe0f44a0caf59db09ad4bc16a46926aba96ce60d
-+++ git -C binutils rev-list --count c58d51c612cdfd8914cefab80c350e1aa9ea3ed4..fe0f44a0caf59db09ad4bc16a46926aba96ce60d
-++ c_commits=25
-++ new_commits=25
+++ cur_rev=cd60a3956da29350d2e79bd6458d5cd77a4a18d0
++++ git -C binutils rev-list --count fe0f44a0caf59db09ad4bc16a46926aba96ce60d..cd60a3956da29350d2e79bd6458d5cd77a4a18d0
+++ c_commits=15
+++ new_commits=15
+++ echo binutils
+++ tr ' ' ,
# generate dashboard
-++ components=binutils
-++ echo '25 commits in binutils'
-+ echo '[Linaro-TCWG-CI] Success after 25 commits in binutils'
-+ echo '# generate dashboard'
# generate_dashboard_squad
... Skipping
# post_dashboard_squad
... Skipping
# post_to_jira
Full stage ran successfully.
+++ components=binutils
+++ echo '15 commits in binutils'
++ echo '[Linaro-TCWG-CI] Success after 15 commits in binutils'
++ echo '# generate dashboard'
+ generate_dashboard_squad
+ local results_date
+ echo '# generate_dashboard_squad'
diff --git a/jenkins/notify-init.log b/jenkins/notify-init.log
index 807f112..6020ea7 100644
--- a/jenkins/notify-init.log
+++ b/jenkins/notify-init.log
@@ -1,25 +1,25 @@
++ pwd
++ cat
-+ remote_exec build-08.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p49352: ./jenkins-scripts/round-robin-notify.sh '@@rr[top_artifacts]' artifacts --notify ignore __stage init __verbose true
++ remote_exec build-08.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p49367: ./jenkins-scripts/round-robin-notify.sh '@@rr[top_artifacts]' artifacts --notify ignore __stage init __verbose true
+ set -euf -o pipefail
+ local host
-++ echo build-08.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p49352:
+++ echo build-08.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p49367:
++ cut -d: -f 1
+ host=build-08.tcwglab
+ local port
-++ echo build-08.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p49352:
+++ echo build-08.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p49367:
++ cut -s -d: -f 2
+ port=
+ local dir
-++ echo build-08.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p49352:
+++ echo build-08.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p49367:
++ cut -s -d: -f 3
-+ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_0
++ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_1
+ local opts
-++ echo build-08.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p49352:
+++ echo build-08.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p49367:
++ cut -s -d: -f 4
-+ opts=-p49352
++ opts=-p49367
+ local env_vars
-++ echo build-08.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p49352:
+++ echo build-08.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p49367:
++ cut -s -d: -f 5
+ env_vars=
+ shift
@@ -52,10 +52,10 @@
+ for i in "$@"
+ cmd+=("$(printf '%q' "$i")")
++ printf %q true
-++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_0
-+ ssh -p49352 build-08.tcwglab 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_0 && exec ./jenkins-scripts/round-robin-notify.sh @@rr\[top_artifacts\] artifacts --notify ignore __stage init __verbose true'
+++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_1
++ ssh -p49367 build-08.tcwglab 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_1 && exec ./jenkins-scripts/round-robin-notify.sh @@rr\[top_artifacts\] artifacts --notify ignore __stage init __verbose true'
-/home/tcwg-buildslave/workspace/tcwg_gnu_0/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts --notify ignore __stage init __verbose true
+/home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts --notify ignore __stage init __verbose true
+ false
+ dryrun=
@@ -73,8 +73,6 @@
++ set +x
+ ci_project=tcwg_gnu_woa_build
# Debug traces :
-# Baseline : https://ci.linaro.org/job/tcwg_gnu_woa_build--master-woa64-build/301/
-# Using dir : base-artifacts
++ get_current_manifest '{rr[ci_config]}'
++ get_manifest artifacts/manifest.sh '{rr[ci_config]}'
++ set +x
@@ -83,21 +81,23 @@
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_gnu_woa_build--master-woa64-build/301/'
+# Baseline : https://ci.linaro.org/job/tcwg_gnu_woa_build--master-woa64-build/302/
+# Using dir : base-artifacts
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_gnu_woa_build--master-woa64-build/302/'
+ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_gnu_woa_build--master-woa64-build/302/
+# Artifacts : https://ci.linaro.org/job/tcwg_gnu_woa_build--master-woa64-build/303/
# Using dir : artifacts
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_gnu_woa_build--master-woa64-build/302/'
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_gnu_woa_build--master-woa64-build/303/'
+ echo '# Using dir : artifacts'
+ echo ''
+ mkdir -p artifacts/notify
+# check_source_changes
+ '[' -f /home/tcwg-buildslave/.jipdate.yml ']'
+ set +x
-# check_source_changes
+ declare -Ag pw
+ '[' ignore = precommit ']'
+ check_source_changes
@@ -131,7 +131,7 @@
+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/binutils_rev
-++ '[' xfe0f44a0caf59db09ad4bc16a46926aba96ce60d '!=' xc58d51c612cdfd8914cefab80c350e1aa9ea3ed4 ']'
+++ '[' xcd60a3956da29350d2e79bd6458d5cd77a4a18d0 '!=' xfe0f44a0caf59db09ad4bc16a46926aba96ce60d ']'
++ echo -ne binutils
++ delim=' '
++ echo
@@ -144,17 +144,17 @@
++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/binutils_rev
-+ first_bad=fe0f44a0caf59db09ad4bc16a46926aba96ce60d
++ first_bad=cd60a3956da29350d2e79bd6458d5cd77a4a18d0
++ get_baseline_git binutils_rev
++ set -euf -o pipefail
++ local base_artifacts=base-artifacts
++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/binutils_rev
-+ last_good=c58d51c612cdfd8914cefab80c350e1aa9ea3ed4
++ last_good=fe0f44a0caf59db09ad4bc16a46926aba96ce60d
+ local res
+ res=0
-+ wait 43404
++ wait 43376
+ git -C binutils rev-parse --verify HEAD
+ assert_with_msg 'Cannot parse HEAD in repo binutils' '[' 0 = 0 ']'
+ set -euf -o pipefail +x
@@ -168,19 +168,19 @@
++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/binutils_rev
-+ base_rev=c58d51c612cdfd8914cefab80c350e1aa9ea3ed4
++ base_rev=fe0f44a0caf59db09ad4bc16a46926aba96ce60d
++ get_current_git binutils_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/binutils_rev
-+ cur_rev=fe0f44a0caf59db09ad4bc16a46926aba96ce60d
-++ git -C binutils rev-parse 'fe0f44a0caf59db09ad4bc16a46926aba96ce60d^@'
-# Debug traces :
-# change_kind=single_component : binutils
++ cur_rev=cd60a3956da29350d2e79bd6458d5cd77a4a18d0
+++ git -C binutils rev-parse 'cd60a3956da29350d2e79bd6458d5cd77a4a18d0^@'
+ for sha1 in $(git -C "$c" rev-parse "$cur_rev^@")
-+ '[' aa1e22eb8d685d456469f3da7933f9215b4d79ef = c58d51c612cdfd8914cefab80c350e1aa9ea3ed4 ']'
++ '[' 68a2d9bf874643da970fe945a9c60c397f6882ad = fe0f44a0caf59db09ad4bc16a46926aba96ce60d ']'
+ return 1
+# Debug traces :
+# change_kind=single_component : binutils
+ change_kind=single_component
+ echo '# Debug traces :'
+ echo '# change_kind=single_component : binutils'
@@ -191,19 +191,18 @@
++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/binutils_rev
-+ base_rev=c58d51c612cdfd8914cefab80c350e1aa9ea3ed4
++ base_rev=fe0f44a0caf59db09ad4bc16a46926aba96ce60d
++ get_current_git binutils_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/binutils_rev
-+ cur_rev=fe0f44a0caf59db09ad4bc16a46926aba96ce60d
-++ git -C binutils rev-list --count c58d51c612cdfd8914cefab80c350e1aa9ea3ed4..fe0f44a0caf59db09ad4bc16a46926aba96ce60d
-# rev for binutils : c58d51c612cdfd8914cefab80c350e1aa9ea3ed4..fe0f44a0caf59db09ad4bc16a46926aba96ce60d (25 commits)
++ cur_rev=cd60a3956da29350d2e79bd6458d5cd77a4a18d0
+++ git -C binutils rev-list --count fe0f44a0caf59db09ad4bc16a46926aba96ce60d..cd60a3956da29350d2e79bd6458d5cd77a4a18d0
+# rev for binutils : fe0f44a0caf59db09ad4bc16a46926aba96ce60d..cd60a3956da29350d2e79bd6458d5cd77a4a18d0 (15 commits)
-# generate_extra_details
-+ c_commits=25
-+ echo '# rev for binutils : c58d51c612cdfd8914cefab80c350e1aa9ea3ed4..fe0f44a0caf59db09ad4bc16a46926aba96ce60d (25 commits)'
++ c_commits=15
++ echo '# rev for binutils : fe0f44a0caf59db09ad4bc16a46926aba96ce60d..cd60a3956da29350d2e79bd6458d5cd77a4a18d0 (15 commits)'
+ echo ''
+ setup_stages_to_run
+ '[' ignore = onregression ']'
@@ -220,11 +219,10 @@
+ print_result_f=print_result
+ print_config_f=print_config
+ print_last_icommit_f=print_last_icommit
++ generate_extra_details_f=generate_extra_details
+ case "$ci_project" in
+ print_result_f=gnu_print_result
-+ generate_extra_details
-+ set -euf -o pipefail
-+ echo '# generate_extra_details'
++ generate_extra_details_f=gnu_generate_extra_details
+ post_interesting_commits init
# post_interesting_commits
+ set -euf -o pipefail
diff --git a/jenkins/rewrite.log b/jenkins/rewrite.log
index 3f86750..2adda6c 100644
--- a/jenkins/rewrite.log
+++ b/jenkins/rewrite.log
@@ -1,25 +1,25 @@
++ pwd
++ cat
-+ remote_exec build-08.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p49352: ./jenkins-scripts/round-robin-baseline.sh '@@rr[top_artifacts]' artifacts __build_script tcwg_gnu-build.sh __push_base_artifacts true __rewrite_base_artifacts true __rewrite_num 100
++ remote_exec build-08.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p49367: ./jenkins-scripts/round-robin-baseline.sh '@@rr[top_artifacts]' artifacts __build_script tcwg_gnu-build.sh __push_base_artifacts true __rewrite_base_artifacts true __rewrite_num 100
+ set -euf -o pipefail
+ local host
-++ echo build-08.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p49352:
+++ echo build-08.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p49367:
++ cut -d: -f 1
+ host=build-08.tcwglab
+ local port
-++ echo build-08.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p49352:
+++ echo build-08.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p49367:
++ cut -s -d: -f 2
+ port=
+ local dir
-++ echo build-08.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p49352:
+++ echo build-08.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p49367:
++ cut -s -d: -f 3
-+ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_0
++ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_1
+ local opts
-++ echo build-08.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p49352:
+++ echo build-08.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p49367:
++ cut -s -d: -f 4
-+ opts=-p49352
++ opts=-p49367
+ local env_vars
-++ echo build-08.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p49352:
+++ echo build-08.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p49367:
++ cut -s -d: -f 5
+ env_vars=
+ shift
@@ -58,10 +58,5 @@
+ for i in "$@"
+ cmd+=("$(printf '%q' "$i")")
++ printf %q 100
-++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_0
-+ ssh -p49352 build-08.tcwglab 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_0 && exec ./jenkins-scripts/round-robin-baseline.sh @@rr\[top_artifacts\] artifacts __build_script tcwg_gnu-build.sh __push_base_artifacts true __rewrite_base_artifacts true __rewrite_num 100'
-+ declare -g rewrite_base_artifacts_first=true
-+ true
-+ update_baseline
-+ set -euf -o pipefail
-+ rsync -aI --del --exclude /.git artifacts/ base-artifacts/
+++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_1
++ ssh -p49367 build-08.tcwglab 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_1 && exec ./jenkins-scripts/round-robin-baseline.sh @@rr\[top_artifacts\] artifacts __build_script tcwg_gnu-build.sh __push_base_artifacts true __rewrite_base_artifacts true __rewrite_num 100'
diff --git a/jenkins/run-build.env b/jenkins/run-build.env
index 79b01ec..6ac6181 100644
--- a/jenkins/run-build.env
+++ b/jenkins/run-build.env
@@ -1,9 +1,9 @@
-build_name="#302"
+build_name="#303"
docker_opts=(--distro
default )
source build_container.sh
trap "cleanup_all_containers" EXIT
-build_name="#302-binutils"
+build_name="#303-binutils"
branch_opt=(==rr\[binutils_git\]
git://sourceware.org/git/binutils-gdb.git#master )
-build_name="#302-binutils-R1"
+build_name="#303-binutils-R1"